## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XNodeSetNodeProxy Class Reference

Class to hold XPath return types. More...

Inheritance diagram for XNodeSetNodeProxy:

[legend]
Collaboration diagram for XNodeSetNodeProxy:

[legend]
List of all members.

## Public Member Functions

- XNodeSetNodeProxy (MemoryManagerType &theManager, XalanNode *theNode)
    Create an XNodeSetNodeProxy.
- XNodeSetNodeProxy (const XNodeSetNodeProxy &source, MemoryManagerType &theManager)
    Create an XNodeSetNodeProxy from another.
- virtual ~XNodeSetNodeProxy ()
- virtual const NodeRefListBase & nodeset () const
    Cast result object to a nodelist.
- virtual XalanNode * item (size_type index) const
- virtual size_type getLength () const

## Protected Member Functions

- virtual eObjectType getRealType () const
    Tell what kind of class this is.

## Detailed Description

Class to hold XPath return types.

## Constructor & Destructor Documentation

XNodeSetNodeProxy::XNodeSetNodeProxy | ( | MemoryManagerType & | theManager,
|  | XalanNode * | theNode
| ) |

| Create an XNodeSetNodeProxy.

XNodeSetNodeProxy::XNodeSetNodeProxy | ( | const XNodeSetNodeProxy & | source,
|  | MemoryManagerType & | theManager
| ) |

  | Create an XNodeSetNodeProxy from another. Parameters:
  source | object to copy

virtual XNodeSetNodeProxy::~XNodeSetNodeProxy | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual size_type XNodeSetNodeProxy::getLength | ( |  | ) | const`[virtual]`

| Implements XNodeSetBase.

virtual eObjectType XNodeSetNodeProxy::getRealType | ( |  | ) | const`[protected, virtual]`

| Tell what kind of class this is. Returns: numeric type value Reimplemented from XObject.

virtual XalanNode* XNodeSetNodeProxy::item | ( | size_type | index | ) | const`[virtual]`

| Implements XNodeSetBase.

virtual const NodeRefListBase& XNodeSetNodeProxy::nodeset | ( |  | ) | const`[virtual]`

| Cast result object to a nodelist. Returns: node list Implements XNodeSetBase.

The documentation for this class was generated from the following file:

- XNodeSetNodeProxy.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.